%define majver %(echo %version | cut -d. -f 1-2)
%define pkgname ORBit2

Name:          ORBit2
Version:       2.14.19
Release:       3mamba
Summary:       A high-performance CORBA Object Request Broker
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.gnome.org/projects/ORBit2
# bugfixes: http://ftp.acc.umu.se/pub/GNOME/sources/%{pkgname}
Source:        ftp://ftp.gnome.org/pub/GNOME/sources/ORBit2/%{majver}/%{pkgname}-%{version}.tar.bz2
Patch0:        ORBit2-2.14.19-glib-2.40.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: ldconfig
BuildRequires: libIDL-devel
BuildRequires: libglib-devel
## AUTOBUILDREQ-END
BuildRequires: pkgconfig
BuildRequires: libpopt-devel
BuildRequires: libopenssl-devel
Obsoletes:     ORBit
Provides:      ORBit = %{?epoch:%epoch:}%{version}-%{release}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
ORBit is a high-performance CORBA (Common Object Request Broker Architecture) ORB (object request broker).
It allows programs to send requests and receive replies from other programs, regardless of the locations of the two programs. CORBA is an architecture that enables communication between program objects, regardless of the programming language they're written in or the operating system they run on.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n lib%{name}
ORBit is a high-performance CORBA (Common Object Request Broker Architecture) ORB (object request broker).
It allows programs to send requests and receive replies from other programs, regardless of the locations of the two programs. CORBA is an architecture that enables communication between program objects, regardless of the programming language they're written in or the operating system they run on.
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Summary:       Devel package for %{name}
Group:         Development/Libraries
Obsoletes:     ORBit-devel
Provides:      ORBit-devel = %{?epoch:%epoch:}%{version}-%{release}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Provides:      ORBit2-devel
Obsoletes:     ORBit2-devel

%description -n lib%{name}-devel
ORBit is a high-performance CORBA (Common Object Request Broker Architecture) ORB (object request broker).
It allows programs to send requests and receive replies from other programs, regardless of the locations of the two programs. CORBA is an architecture that enables communication between program objects, regardless of the programming language they're written in or the operating system they run on.
This package contains static libraries and header files need for development.

%package apidocs
Summary:       %{pkgname} API documentation
Group:         Documentation
Requires:      gtk-doc

%description apidocs
%{pkgname} API documentation.

%debug_package

%prep
%setup -q -n %{pkgname}-%{version}
%patch0 -p1
sed -i "s,| arm-\*  |,| aarch64-\* | arm-\*  |," config.sub
autoconf

%build
%configure
#--enable-gtk-doc

%make -j1

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/ior-decode-2
%{_bindir}/orbit-idl-2
%{_bindir}/typelib-dump
%{_bindir}/linc-cleanup-sockets
%dir %{_datadir}/idl/orbit-2.0
%{_datadir}/idl/orbit-2.0/*

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libORBit-2.so.*
%{_libdir}/libORBit-imodule-2.so.*
%{_libdir}/libORBitCosNaming-2.so.*
%dir %{_libdir}/orbit-2.0
%{_libdir}/orbit-2.0/*

%files -n lib%{name}-devel
%defattr(-,root,root)
%{_bindir}/orbit2-config
%dir %{_includedir}/orbit-2.0
%{_includedir}/orbit-2.0/*
%{_libdir}/pkgconfig/*
%{_libdir}/*.la
%{_libdir}/*.a
%{_libdir}/*.so
%{_datadir}/aclocal/%{pkgname}.m4

%files apidocs
%defattr(-,root,root)
%dir %{_datadir}/gtk-doc/html/%{pkgname}
%{_datadir}/gtk-doc/html/%{pkgname}/*

%changelog
* Tue Dec 01 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 2.14.19-3mamba
- rebuilt with debug package and aarch64 build fix

* Fri Apr 11 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 2.14.19-2mamba
- library files moved to libORBit2 and ORBit2-devel renamed to libORBit2-devel

* Tue Sep 28 2010 Automatic Build System <autodist@mambasoft.it> 2.14.19-1mamba
- automatic update to 2.14.19 by autodist

* Tue Jun 29 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 2.14.18-2mamba
- rebuilt to add pkgconfig provides

* Sat May 29 2010 Automatic Build System <autodist@mambasoft.it> 2.14.18-1mamba
- automatic update to 2.14.18 by autodist

* Wed Jul 01 2009 Automatic Build System <autodist@mambasoft.it> 2.14.17-1mamba
- update to 2.14.17

* Sun Oct 19 2008 gil <puntogil@libero.it> 2.14.16-1mamba
- update to 2.14.16

* Mon Sep 17 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 2.14.8-1mamba
- update to 2.14.8

* Fri Jan 05 2007 Davide Madrisan <davide.madrisan@qilinux.it> 2.14.3-2qilnx
- new subpackage apidocs with API documentation

* Thu Jan 04 2007 Davide Madrisan <davide.madrisan@qilinux.it> 2.14.3-1qilnx
- update to version 2.14.3 by autospec
- gtk-doc documentation removed from devel package
- package renamed from ORBit to the real name (ORBit2)
- added build requirement for openssl

* Mon Mar 06 2006 Stefano Cotta Ramusino <stefano.cotta@qilinux.it> 2.13.3-1qilnx
- update to version 2.13.3 by autospec
- specfile updated and fixed

* Tue Aug 09 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 2.12.2-1qilnx
- update to version 2.12.2 by autospec

* Sun Jun 28 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 2.10.3-1qilnx
- new version build

* Tue Jun 22 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 2.10.2-1qilnx
- new version build

* Tue Dec 30 2003 Silvan Calarco <silvan.calarco@mambasoft.it> 2.8.3-1qilnx
- new version rebuild

* Thu Jul 24 2003 Silvan Calarco <silvan.calarco@qinet.it> 2.7.3-1qilnx
- first build for ORBit
